> ## Documentation Index
> Fetch the complete documentation index at: https://docs.modo.link/llms.txt
> Use this file to discover all available pages before exploring further.

# Get vote request details

> Retrieve detailed information about a specific vote request



## OpenAPI

````yaml /api/modo-canton.json get /v1/governance/vote-requests/{id}/details
openapi: 3.0.1
info:
  title: Canton mainnet API
  description: >-
    This is the new API Module implementation. The Canton Blockchain API is used
    to retrieve Canton Blockchain data. In order to execute queries you need to
    get API Key and use it in header 'x-api-key'. However, before that you need
    to sign up on the explorer or company website. If an account is created on
    the website <strong>https://staketab.com/</strong> or
    <strong>https://cc.modo.link/</strong>, the user will be granted the
    <strong>ROLE_USER</strong> role. After that you may fetch API KEY.
  termsOfService: terms-of-service
  contact:
    name: Staketab tech support
    url: https://staketab.com/
    email: support@staketab.com
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: 1.0.0
servers:
  - url: https://api.modo.link/canton-mainnet
    description: Production
security:
  - x-api-key: []
tags:
  - name: Contracts
    description: Contract endpoints
  - name: Tokens
    description: Token endpoints
  - name: Market Info
    description: Market info endpoints
  - name: Updates
    description: Update endpoints
  - name: Validators
    description: Validator management endpoints
  - name: Transfers
    description: Transfer endpoints
  - name: Dashboard
    description: Dashboard endpoints
  - name: Events
    description: Event endpoints
  - name: Governance
    description: Governance endpoints
  - name: Super Validators
    description: Super Validator management endpoints
  - name: Featured Apps
    description: Featured Apps endpoints
  - name: Parties
    description: Party management endpoints
  - name: Rewards
    description: Rewards endpoints
paths:
  /v1/governance/vote-requests/{id}/details:
    get:
      tags:
        - Governance
      summary: Get vote request details
      description: Retrieve detailed information about a specific vote request
      operationId: getVoteRequestDetailsById
      parameters:
        - name: id
          in: path
          description: Vote Request ID
          required: true
          schema:
            type: string
          example: >-
            0002ef9f6891521213bda55d93365a88af5608c46f82dbdb818e1ee52a9573b6e0ca1112207e389684f874e54629120d9a4ea368fdbc7ae5c289cae388abf3cfe59ba00f9b
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/VoteRequestDetailsDtoAPI'
components:
  schemas:
    VoteRequestDetailsDtoAPI:
      type: object
      properties:
        contractId:
          type: string
        templateId:
          type: string
        createdEventBlob:
          type: string
        createdAt:
          type: integer
          format: int64
        dso:
          type: string
        voteBefore:
          type: integer
          format: int64
        targetEffectiveAt:
          type: integer
          format: int64
        requester:
          type: string
        trackingCid:
          type: string
        reasonUrl:
          type: string
        reasonBody:
          type: string
        actionConfig:
          $ref: '#/components/schemas/JsonNode'
        actionProvider:
          type: string
        status:
          type: string
        yesCount:
          type: integer
          format: int32
        noCount:
          type: integer
          format: int32
        abstainCount:
          type: integer
          format: int32
        totalWeightYes:
          type: number
          format: double
        totalWeightNo:
          type: number
          format: double
        totalWeightAbstain:
          type: number
          format: double
        rawPayload:
          $ref: '#/components/schemas/JsonNode'
        requesterName:
          type: string
        requesterImg:
          type: string
    JsonNode:
      type: object
  securitySchemes:
    x-api-key:
      type: apiKey
      name: x-api-key
      in: header

````